Highlighted

Server Behaviors Panel Broken Since v17.1 ?

Adobe Community Professional ,
Oct 16, 2017

Copy link to clipboard

Copied

Its my understanding that the old server behaviors panel is broken in Dreamweaver (windows versions) since v17,1 and still not fixed in v17.5.  Whilst its an old outdated feature, its required sometimes to work on old projects. also some third party extensions make use of the panel.

Are there any plans to fix this, given the rumours that Dreamweaver is going to be canned soon: Server behaviours not works with 17.1 version – Adobe Dreamweaver CC: Feature Ideas


Paul-M, ACP - www.webspectrum.co.uk

Views

1.0K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Server Behaviors Panel Broken Since v17.1 ?

Adobe Community Professional ,
Oct 16, 2017

Copy link to clipboard

Copied

Its my understanding that the old server behaviors panel is broken in Dreamweaver (windows versions) since v17,1 and still not fixed in v17.5.  Whilst its an old outdated feature, its required sometimes to work on old projects. also some third party extensions make use of the panel.

Are there any plans to fix this, given the rumours that Dreamweaver is going to be canned soon: Server behaviours not works with 17.1 version – Adobe Dreamweaver CC: Feature Ideas


Paul-M, ACP - www.webspectrum.co.uk

Views

1.0K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Oct 16, 2017 0
Adobe Employee ,
Oct 17, 2017

Copy link to clipboard

Copied

Let me check with the team and get back to you.

Thanks,

Preran

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 0
Adobe Community Professional ,
Oct 17, 2017

Copy link to clipboard

Copied

  wrote

Let me check with the team and get back to you.

Thanks,

Preran

Thanks


Paul-M, ACP - www.webspectrum.co.uk

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 1
Adobe Community Professional ,
Oct 17, 2017

Copy link to clipboard

Copied

The Server Behaviors Panel was deprecated but re-enable-able, hidden in the program folders in the first version of DWCC (13.0), then removed from DW a short time later (14 or 15). It's not part of the program anymore and hasn't been updated. You can still download the old panel from various 3rd party sources in order to install their extension, but Adobe officially dropped it from their add-on pages a few years ago.

There has been no plan announced by Adobe to ever bring it back. They appear to be leaving that up to third party extension developers for the last ~5 years or so.

The "DW being discontinued rumor" has been confirmed false in the link you posted and in your other thread.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 1
Adobe Community Professional ,
Oct 17, 2017

Copy link to clipboard

Copied

https://forums.adobe.com/people/Jon+Fritz+II  wrote

The Server Behaviors Panel was deprecated but re-enable-able, hidden in the program folders in the first version of DWCC (13.0), then removed from DW a short time later (14 or 15). It's not part of the program anymore and hasn't been updated. You can still download the old panel from various 3rd party sources in order to install their extension, but Adobe officially dropped it from their add-on pages a few years ago.

There has been no plan announced by Adobe to ever bring it back. They appear to be leaving that up to third party extension developers for the last ~5 years or so.

The "DW being discontinued rumor" has been confirmed false in the link you posted and in your other thread.

yes, yes we know all about the history of the server behaviors panel and how its been deprecated and you have to install the extension to being them back into Dreamweaver and that Adobe like to hide things. The point is as far as I understand it the server behaviors panel has not been working correctly and i actually crippled in Dreamweaver v17.1  and up. The problem is only for windows users, mac users don't suffer the problem so its not by design its a fault.


Paul-M, ACP - www.webspectrum.co.uk

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 0
LEGEND ,
Oct 17, 2017

Copy link to clipboard

Copied

Energize  wrote

The problem is only for windows users, mac users don't suffer the problem so its not by design its a fault.

How can it be a fault?

Adobe and many others have said that the old server behaviours should 'NOT BE USED'. If they had made its use optional without the warning then yes, i would agree with you.

I would also agree with you if you asked for an updated version of the server behaviours, with the old ones retained as an optional user enabled feature, providing that the option came with a warning that they should not be used for new pages/sites.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 1
LEGEND ,
Oct 17, 2017

Copy link to clipboard

Copied

I may be rumour mongering here, but in the Dw keynote speech at Adobe Max this year, it is planned to talk about using PHP 7 in Dw. I don't know what that will cover, but I suspect/hope it will cover more than code hinting.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 0
Adobe Community Professional ,
Oct 17, 2017

Copy link to clipboard

Copied

You can forget about using any extensions from WebAssist that piggy back on top of the old server behavior panels in DW CC 2017.   It does not work.  You will need to drop back to a supported version of DW -- 2014 or earlier.

This can be done very easily from the new & improved CC Desktop App.  See screenshot.

CC-DesktopApp.jpg

Does that answer your question?

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 17, 2017 1
Adobe Community Professional ,
Oct 22, 2017

Copy link to clipboard

Copied

You can forget about using any extensions from WebAssist that piggy back on top of the old server behavior panels in DW CC 2017.   It does not work.  You will need to drop back to a supported version of DW -- 2014 or earlier.

who said anything about webassist - there are extensions being sold on Adobe's own add-ons site that require the old sever behaviors panel. Adobe may not be the developer of the extensions but presumable they are taking some cut from selling them


Paul-M, ACP - www.webspectrum.co.uk

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 22, 2017 0
Adobe Community Professional ,
Oct 22, 2017

Copy link to clipboard

Copied

I don't use anything from that Add-ons page.  I prefer to deal directly with the extension developer's sites.  That said, you could contact the developer and ask them if they have new extensions that work in the latest versions of DW.  My guess is if they don't, they'll ask you to revert to an older version as WebAssist is doing.

Nancy

Nancy O'Shea, ACP
Alt-Web.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 22, 2017 0
Adobe Employee ,
Oct 23, 2017

Copy link to clipboard

Copied

I checked with the team, and they said that they would investigate the issue. I will keep you updated.

Thanks,

Preran

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 23, 2017 0
Adobe Community Professional ,
Oct 23, 2017

Copy link to clipboard

Copied

I checked with the team, and they said that they would investigate the issue. I will keep you updated.

Thanks Preran, it might be useful for them to speak to these people: :: DwZone - Dreamweaver extensions ::

They developed some mysqli extensions that make use of the panels, so I'm sure they would have some valuable feedback.


Paul-M, ACP - www.webspectrum.co.uk

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 23, 2017 0
Preran LATEST
Adobe Employee ,
Oct 24, 2017

Copy link to clipboard

Copied

Will do. Thanks for letting me know.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 24, 2017 0